package edu.uoc.prezmm.a1list2cook;

import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;
import static org.mockito.Mockito.mock;

public class RestorePassActivityTest {

    private RestorePassActivity activity;


    @Before
    public void setUp() {
        activity = mock(RestorePassActivity.class);
    }

    @Test
    //Email correcte
    public void checkValuesTrue() {
        boolean result = activity.formCheckValue("user01@1list2cook.com");
        assertEquals(true,result);
    }

    @Test
    //Email incorrecte
    public void checkValuesFalse() {
        boolean result = activity.formCheckValue("");
        assertEquals(false,result);
    }
}